<?php

/**
 * Fired during plugin activation
 *
 * @link       http://www.vlogiclabs.com
 * @since      1.0.0
 *
 * @package    Instant_Funnel_Machine
 * @subpackage Instant_Funnel_Machine/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Instant_Funnel_Machine
 * @subpackage Instant_Funnel_Machine/includes
 * @author     Rinkesh <khanalmaya6@gmail.com>
 */
class Instant_Funnel_Machine_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
         
       global $wpdb;
        global $jal_db_version;
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

        /* 1. IFM TABLE
         * CREATE IFM TABLE
         */
        $funneltable = $wpdb->prefix . "ifm";
        if ($wpdb->get_var("SHOW TABLES LIKE '$funneltable'") != $funneltable) {
            if (!empty($wpdb->charset))
                $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
            if (!empty($wpdb->collate))
                $charset_collate .= " COLLATE $wpdb->collate";
            $sql = "CREATE TABLE IF NOT EXISTS $funneltable (
                id int(11) NOT NULL AUTO_INCREMENT,
                funnel_id int(11) NOT NULL,
                funnel_name varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
                
                 PRIMARY KEY (id)) $charset_collate;";
            dbDelta($sql);
		
    	}   
    	/* 1. ifm_pages TABLE
         * CREATE IFM PAGES TABLE
         */
        $funneltable2 = $wpdb->prefix . "ifm_pages";
        if ($wpdb->get_var("SHOW TABLES LIKE '$funneltable2'") != $funneltable2) {
            if (!empty($wpdb->charset))
                $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
            if (!empty($wpdb->collate))
                $charset_collate .= " COLLATE $wpdb->collate";
            $sql2 = "CREATE TABLE IF NOT EXISTS $funneltable2 (
                id int(11) NOT NULL AUTO_INCREMENT,
                funnel_id int(11) NOT NULL,
                page_id int(11) NOT NULL,
                
                 PRIMARY KEY (id)) $charset_collate;";
            dbDelta($sql2);
		
    	}   
    	/* 1. ifm_subscribers TABLE
         * CREATE IFM SUBSCRIBERS TABLE
         */
        $funneltable3 = $wpdb->prefix . "ifm_subscribers";
        if ($wpdb->get_var("SHOW TABLES LIKE '$funneltable3'") != $funneltable3) {
            if (!empty($wpdb->charset))
                $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
            if (!empty($wpdb->collate))
                $charset_collate .= " COLLATE $wpdb->collate";
            $sql3 = "CREATE TABLE IF NOT EXISTS $funneltable3 (
                id int(11) NOT NULL AUTO_INCREMENT,
                funnel_id int(11) NOT NULL,
                email varchar(255) NOT NULL,
                name varchar(255) NOT NULL,
                 PRIMARY KEY (id)) $charset_collate;";
            dbDelta($sql3);
		
    	}   
	 
 }

}