<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @link       http://www.vlogiclabs.com
 * @since      1.0.0
 *
 * @package    Instant_Funnel_Machine
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}
delete_option('ifmp_Test Name Thankyou Page');
global $wpdb;
$table1 =  $wpdb->prefix . "ifm";
$table2 = $wpdb->prefix . "ifm_pages";
$table3 = $wpdb->prefix . "ifm_subscribers";
$table4 = $wpdb->prefix . "options";
$select_pages =  $wpdb->get_results( "SELECT page_id FROM $table2" );
if($select_pages!=''){
	foreach ( $select_pages as $page_id) 
	{
		$postid = $page_id->page_id;
		$data = wp_delete_post( $postid,true); // delete page by postID.
		 $wpdb->delete( $table4, array( 'option_value' => $postid ) );
		//print_r($data);
	}
}
$wpdb->query( "DROP TABLE IF EXISTS $table1" );
$wpdb->query( "DROP TABLE IF EXISTS $table2" );
$wpdb->query( "DROP TABLE IF EXISTS $table3" );
$user_id = get_current_user_id();
delete_user_meta( $user_id, "funnel_user");